package com.hai.service;

import com.hai.enum_type.TripartiteReqLogReqType;
import com.hai.enum_type.TripartiteReqLogType;

/**
 * 三方请求日志
 */
public interface BsTripartiteReqLogService {

    /**
     * 插入日志
     * @param logType 日志类型
     * @param logSerialNo 日志编号
     * @param reqType 请求类型
     * @param reqUrl  请求url
     * @param reqContent 请求内容
     * @param respContent 响应内容
     */
    void insert(TripartiteReqLogType logType, String logSerialNo, TripartiteReqLogReqType reqType, String reqUrl, String reqContent, String respContent);

}
