package com.hai.service;

import com.hai.entity.BsRechargeCode;

import java.util.List;
import java.util.Map;

/**
 * @serviceName BsRechargeCodeService.java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // 充值编码接口
 * @createTime 10:38 2022/7/20
 **/
public interface BsRechargeCodeService {

    /**
    * @Author Sum1Dream
    * @name insertRechargeCode.java
    * @Description // 新增充值编码
    * @Date 10:39 2022/7/20
    * @Param [com.hai.entity.BsRechargeCode] 
    * @return void
    */
    void insertRechargeCode(BsRechargeCode rechargeCode);

    /**
    * @Author Sum1Dream
    * @name updateRechargeCode.java
    * @Description // 修改充值编码
    * @Date 10:39 2022/7/20
    * @Param [com.hai.entity.BsRechargeCode] 
    * @return void
    */
    void updateRechargeCode(BsRechargeCode rechargeCode);

    /**
    * @Author Sum1Dream
    * @name getListRechargeCode.java
    * @Description //TODO
    * @Date 10:40 2022/7/20
    * @Param [java.util.Map<java.lang.String,java.lang.Object>] 
    * @return java.util.List<com.hai.entity.BsRechargeCode>
    */
    List<BsRechargeCode> getListRechargeCode(Map<String, Object> map);

    /**
    * @Author Sum1Dream
    * @name findByMap.java
    * @Description // 查询详情
    * @Date 13:58 2022/7/20
    * @Param [java.util.Map<java.lang.String,java.lang.Object>]
    * @return com.hai.entity.BsRechargeCode
    */
    BsRechargeCode findByMap(Map<String, Object> map);

    /**
    * @Author Sum1Dream
    * @name findById.java
    * @Description // 根据id查询线切割
    * @Date 14:57 2022/7/20
    * @Param [java.lang.Long]
    * @return com.hai.entity.BsRechargeCode
    */
    BsRechargeCode findById(Long id);
}
